# Autenticação / Login

<mark style="color:green;">`POST`</mark> `https://emissao-online.endpoint/api/login`

#### Headers

| Name         | Type   | Description      |
| ------------ | ------ | ---------------- |
| Content-Type | String | application/json |
| Accept       | String | application/json |

#### Request Body

| Name                                       | Type   | Description                                |
| ------------------------------------------ | ------ | ------------------------------------------ |
| voucher<mark style="color:red;">\*</mark>  | String | Voucher do usuário                         |
| username<mark style="color:red;">\*</mark> | String | Identificação do usuário                   |
| otp<mark style="color:red;">\*</mark>      | String | Número OTP.                                |
| arsubdomain                                | String | Subdominio da AR                           |
| token                                      | Object | Quando informado, ignora o username e otp. |
| token.sessionId                            | String | IV da criptografia                         |
| token.sessionData                          | String | Token criptografado                        |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    isPj: (boolean),
    isBird: (boolean [acima v1.5.3]),
    municipios: [{ idmunicipio: '5200050', uf: 'GO', nome: 'Abadia de Goiás' }],
    nomeProduto: (string)
    sessionId: (iv),
    sessionData: (dado_criptografado)
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vaultid.com.br/workspace/emissao-online/api/autenticacao-login.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
